import { SchemaType } from "./SchemaType";
export declare class SchemaLiteral extends SchemaType {
    private _schemaType?;
    private _schemaFormat?;
    constructor(type: string, schemaType?: string, schemaFormat?: string);
    get schemaType(): string;
    get schemaFormat(): string;
    resolve(types: Map<string, SchemaType>): void;
    private static _string;
    private static _number;
    private static _object;
    private static _boolean;
    private static _uri;
    private static _uriReference;
    private static _any;
    static get string(): SchemaLiteral;
    static get number(): SchemaLiteral;
    static get object(): SchemaLiteral;
    static get boolean(): SchemaLiteral;
    static get uri(): SchemaLiteral;
    static get uriReference(): SchemaLiteral;
    static get any(): SchemaLiteral;
}
